Loading...
Searching...
No Matches
spa_io_range Struct Reference
SPA » Node

A range, suitable for input ports that can suggest a range to output ports. More...

`#include <spa/node/io.h>`

## Data Fields

uint64_t | offset
| offset in range
uint32_t | min_size
| minimum size of data
uint32_t | max_size
| maximum size of data

## Detailed Description

A range, suitable for input ports that can suggest a range to output ports.

## Field Documentation

## offset

uint64_t spa_io_range::offset

offset in range

## min_size

uint32_t spa_io_range::min_size

minimum size of data

## max_size

uint32_t spa_io_range::max_size

maximum size of data

The documentation for this struct was generated from the following file:

- spa/node/io.h